Name:           ytnef
Version:        2.0
Release:        2
Summary:        TNEF Stream Parser Library
License:        GPLv2+
URL:            https://github.com/Yeraze/ytnef
Source0:        https://github.com/Yeraze/ytnef/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         ytnef-pkgconfig.patch
BuildRequires:  make autoconf automake libtool perl-generators
Requires:       libytnef = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Autoreq :       no

%description
Yerase's TNEF Stream Reader.  Can take a TNEF Stream (winmail.dat) sent from
Microsoft Outlook (or similar products) and extract the attachments, including
construction of Contact Cards & Calendar entries.

%package -n     libytnef
Summary:        TNEF Stream Reader Library

%description -n libytnef
TNEF Stream Parser Library, used by "ytnef" to decode TNEF (winmail.dat)
streams generated by Microsoft Outlook.

%package -n     libytnef-devel
Summary:        Development files for libytnef
Requires:       libytnef = %{version}-%{release}

%description -n libytnef-devel
The libytnef-devel package contains libraries and header files for
developing applications that use libytnef.


%prep
%setup -q
./autogen.sh
%patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT includedir=%{_includedir}/libytnef
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%{_bindir}/*

%files -n libytnef
%defattr(-,root,root,-)
%doc ChangeLog COPYING
%{_libdir}/*.so.*

%files -n libytnef-devel
%defattr(-,root,root,-)
%{_includedir}/libytnef/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libytnef.pc


%changelog
* Wed Aug 10 2022 peijiankang <peijiankang@kylinos.cn> - 2.0-2
- fix ytnef install error

* Thu Jul 21 2022 duyiwei <duyiwei@kylinos.cn> - 2.0-1
- upgrade to v2.0

* Wed Sep 22 2021 douyan <douyan@kylinos.cn> - 1.5.1-1
- Init package for openEuler
